Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.serverinfo
Interface ServerInfo

All Known Implementing Classes:
  EmbeddedTomcatServerInfo, GenericServerInfo, GeronimoServerInfo, JBossServerInfo, Tomcat41xServerInfo, Tomcat5xServerInfo, Tomcat6xServerInfo

public interface ServerInfo

Interface used by WSO2 WSAS to interact/interface with the container in which a given WSO2 WSAS instance is deployed in.

Method Summary
`int` | `getHttpPort()` Return the http port of the container through which the WSO2 WSAS services are accessible.
`int` | `getHttpsPort()` Return the https port of the container through which WSO2 WSAS services are accessible.
`void` | `process()` Process the server configuration to populate the properties that are relevant to WSO2 WSAS
`void` | `setProperties(java.util.Properties props)` Load and set the properties from the container.

Method Detail

### getHttpPort

    public int getHttpPort()

  Return the http port of the container through which the WSO2 WSAS services are accessible.

  Returns:
    The HTTP port

### getHttpsPort

    public int getHttpsPort()

  Return the https port of the container through which WSO2 WSAS services are accessible.

  Returns:
    The HTTPS port

### setProperties

    public void setProperties(java.util.Properties props)

  Load and set the properties from the container. This properties can be used to supply information such as the location of server.xml from the specific container so that later on the `process()` method can process those properties and compute the WSO2 WSAS configurations.

  Parameters:
    `props` -
  See Also:
    `process()`

### process

    public void process()

  Process the server configuration to populate the properties that are relevant to WSO2 WSAS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD